package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.Bcr;

import java.util.List;

/**
 * BcrMapper接口
 *
 * @author hlf
 * @date 2021-08-12
 */
public interface BcrMapper {
    /**
     * 查询Bcr
     *
     * @param bcrNo BcrID
     * @return Bcr
     */
    public Bcr selectBcrById(Long bcrNo);

    /**
     * 查询Bcr列表
     *
     * @param bcr Bcr
     * @return Bcr集合
     */
    public List<Bcr> selectBcrList(Bcr bcr);

    /**
     * 删除Bcr
     *
     * @param bcrNo BcrID
     * @return 结果
     */
    public int deleteBcrById(Long bcrNo);

    int insertBcrList(List<Bcr> bcrList);

    List<Bcr> selectBcrByWturNo(Long wturNo);

    List<Bcr> selectBcrListIsNot0(Bcr bcr);
}
